ProQuest

  • Browser Requirements For HeritageQuest Online
    Date Created:      Last Updated:      Article Number: 9888

    What are the browser requirements for using HeritageQuest Online

    To use HeritageQuest Online you should have a browser that meets or exceeds the minimum listed below.

    • Internet Explorer 9 and later versions
    • Latest Firefox release and previous major version
    • Latest Google Chrome release and previous major version
    • Safari 5 and later versions